
QGIS Application - Bug report #19587

*Crash ID*: 7ad2a0785422a95e29b066c61e5765caaad9e646

2018-08-10 10:25 AM - Kamil Onoszko

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27414

Description

User Feedback

Report Details

Crash ID: 7ad2a0785422a95e29b066c61e5765caaad9e646

Stack Trace

QDockWidget::toggleViewAction :

QgisApp::removeDockWidget :

QgsPresetSchemeColorRamp::clone :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

CPLString::~CPLString :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

PyInit__gui :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt
Kernel Version: 6.1.7601

History

#1 - 2018-08-10 10:35 AM - Nyall Dawson

- Status changed from Open to Feedback

This looks like a crash caused by a plugin - can you please try with a clean profile and no plugins installed and see if you still get the crash.

#2 - 2018-08-10 12:16 PM - Kamil Onoszko

how to clean profile from archival settings?

#3 - 2018-08-25 12:43 PM - Paolo Cavallini

Just start qgis from the command line with the option --noplugins, or rename the config folder, or create a new clean profile.

#4 - 2018-08-25 03:32 PM - Giovanni Manghi

Kamil Onoszko wrote:

how to clean profile from archival settings?

settings > user profiles > new profile

then restart qgis and use the new profile.

#5 - 2018-08-28 10:41 AM - Kamil Onoszko

to Giovanni Manghi, Paolo Cavallini, Nyall Dawson

Thank you for your help. I have removed the entire folder C:\Users\user_name\AppData\Roaming\QGIS\QGIS3 and everything is working. 

The error was related to the Semi-Automatic Classification Plugin.

Regards

Kamil

#6 - 2018-08-28 11:13 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed
